io.milvus.param.partition

## Class ShowPartitionsParam.Builder

- java.lang.Object
- - io.milvus.param.partition.ShowPartitionsParam.Builder

- Enclosing class:
    ShowPartitionsParam

      public static final class ShowPartitionsParam.Builder
      extends java.lang.Object

  Builder for `ShowPartitionsParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShowPartitionsParam.Builder` | `addPartitionName(@NonNull java.lang.String partitionName)` Adds a partition by name.
    `ShowPartitionsParam` | `build()` Verifies parameters and creates a new `ShowPartitionsParam` instance.
    `ShowPartitionsParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `ShowPartitionsParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `ShowPartitionsParam.Builder` | `withPartitionNames(@NonNull java.util.List<java.lang.String> partitionNames)` Sets the partition names list.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public ShowPartitionsParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public ShowPartitionsParam.Builder withCollectionName(@NonNull
                                                                @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionNames

          public ShowPartitionsParam.Builder withPartitionNames(@NonNull
                                                                @NonNull java.util.List<java.lang.String> partitionNames)

      Sets the partition names list. Partition names list cannot be null or empty.
      Parameters:
        `partitionNames` - partition names list
      Returns:
        `Builder`

    - #### addPartitionName

          public ShowPartitionsParam.Builder addPartitionName(@NonNull
                                                              @NonNull java.lang.String partitionName)

      Adds a partition by name. Partition name cannot be empty or null.
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### build

          public ShowPartitionsParam build()
                                    throws ParamException

      Verifies parameters and creates a new `ShowPartitionsParam` instance.
      Returns:
        `ShowPartitionsParam`
      Throws:
        `ParamException`